Open topic with navigation

TIBCO® Patterns 6.1.2

| ibi Patterns .NET API

Loading...
Searching...
No Matches
Public Member Functions | List of all members
NetricsServerInterface.BaseObjectStats Class Reference

Represents statistics that are common to all data objects. More...

## Public Member Functions
int | getTranState ()
| Get the transaction state for this object.
bool | isDirty ()
| Check if this item has been modified under an open transaction.
bool | isUpdated ()
| Check if this item is updated under an open transaction.
bool | isHeld ()
| Check if this item is held by an open transaction.
int | getTranId ()
| Obsolete. Use getTransactionId to obtain the full 64-bit id.
long | getTransactionId ()
| Get the full ID of the transaction that owns or claims this item.
String | getLayout ()
| Obsolete. Always returns blank. Layouts are deprecated since version 5.6, and removed in 5.7.
String | getCheckpointStatus ()
| Get the checkpoint status of this item.

## Detailed Description

Represents statistics that are common to all data objects.

Data objects are tables, indexes, thesauri, char-maps, and models. This class is only ever accessed via a derived statistics class.

See also
  NetricsCharmapStats, NetricsModelStats, NetricsTableStats, NetricsIdxStats, NetricsThesStats

## Member Function Documentation

## ◆ getCheckpointStatus()

String NetricsServerInterface.BaseObjectStats.getCheckpointStatus | ( |  | ) |
| inline

Get the checkpoint status of this item.

Returns
  the checkpoint status of this item.

## ◆ getTranId()

int NetricsServerInterface.BaseObjectStats.getTranId | ( |  | ) |
| inline

Obsolete. Use getTransactionId to obtain the full 64-bit id.

Returns
  Returns a partial 32-bit id of the transaction that owns or claim this item.

If an item has not been modified or held by an open transaction this will be equal to NetricsTranStats.TRAN_ID_NULL (zero).

## ◆ getTransactionId()

long NetricsServerInterface.BaseObjectStats.getTransactionId | ( |  | ) |
| inline

Get the full ID of the transaction that owns or claims this item.

Returns
  the full ID of the transaction that owns or claims this item.

If an item has not been modified or held by an open transaction this will be equal to NetricsTranStats.TRAN_ID_NULL (zero).

## ◆ getTranState()

int NetricsServerInterface.BaseObjectStats.getTranState | ( |  | ) |
| inline

Get the transaction state for this object.

Returns
  The transaction state for this object.

If this object is not associated with an open transaction this returns the special value NetricsTranStats.STATE_NULL. Otherwise it is an OR'd combination of one or more of the state values defined in NetricsTranStats.

## ◆ isDirty()

bool NetricsServerInterface.BaseObjectStats.isDirty | ( |  | ) |
| inline

Check if this item has been modified under an open transaction.

Returns
  true if this item has been modified under an open transaction.

Dirty items may not be trustworthy as the modifications may not be complete and may get rolled back if the transaction is aborted.

## ◆ isHeld()

bool NetricsServerInterface.BaseObjectStats.isHeld | ( |  | ) |
| inline

Check if this item is held by an open transaction.

Returns
  true if this item is held by an open transaction.

Held means it is being held in association with updates to another item, but it is not itself modified by the transaction. However another operation may have modified this item, so both isHeld and isDirty may return true.

## ◆ isUpdated()

bool NetricsServerInterface.BaseObjectStats.isUpdated | ( |  | ) |
| inline

Check if this item is updated under an open transaction.

Returns
  true if this item is updated by an open transaction.

This is not the same as the isDirty value, as an object is dirty if it was replaced, renamed, added or deleted in addition to updated. Updated indicates that some portion of the item was modified.

Did you find this helpful?

Yes No
Great!
Thanks for taking the time to give us some feedback.
Sorry about that

Why wasn't this helpful? (check all that apply)

Could not find what I was looking for
Instructions confusing or unclear
Instructions did not work

Want to tell us more?

Please select at least one option or provide details about the issue!!

Error occurred while submitting feedback.

Error2 occurred while submitting feedback.

TIBCO® Patterns

Copyright © 2010-2025. Cloud Software Group, Inc. All Rights Reserved.